Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Class DefaultEncodingStateRegistry

    java.lang.Object
      org.codehaus.groovy.grails.support.encoding.DefaultEncodingStateRegistry

All Implemented Interfaces:
  EncodingStateRegistry

    public final class DefaultEncodingStateRegistry
    extends java.lang.Object

default implementation of EncodingStateRegistry

Authors:
  Lari Hotari

Since:
  2.3

Field Summary
`static Encoder` | `NONE_ENCODER`

Method Summary
`EncodingState` | `getEncodingStateFor(java.lang.CharSequence string)`
`boolean` | `isEncodedWith(Encoder encoder, java.lang.CharSequence string)`
`static boolean` | `isPreviousEncoderSafeOrEqual(Encoder encoderToApply, Encoder previousEncoder)` Checks if is previous encoder is already "safe", equal or equivalent
`void` | `registerEncodedWith(Encoder encoder, java.lang.CharSequence escaped)`
`boolean` | `shouldEncodeWith(Encoder encoderToApply, java.lang.CharSequence string)`
`static boolean` | `shouldEncodeWith(Encoder encoderToApply, EncodingState currentEncodingState)` Checks if encoder should be applied to a input with given encoding state

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### NONE_ENCODER

    public static Encoder NONE_ENCODER

Method Detail

### getEncodingStateFor

    public EncodingState getEncodingStateFor(java.lang.CharSequence string)

### isEncodedWith

    public boolean isEncodedWith(Encoder encoder, java.lang.CharSequence string)

### isPreviousEncoderSafeOrEqual

    public static boolean isPreviousEncoderSafeOrEqual(Encoder encoderToApply, Encoder previousEncoder)

  Checks if is previous encoder is already "safe", equal or equivalent
  Parameters:
    `encoderToApply` - the encoder to apply
    `previousEncoder` - the previous encoder
  Returns:
    true, if previous encoder is already "safe", equal or equivalent

### registerEncodedWith

    public void registerEncodedWith(Encoder encoder, java.lang.CharSequence escaped)

### shouldEncodeWith

    public boolean shouldEncodeWith(Encoder encoderToApply, java.lang.CharSequence string)

### shouldEncodeWith

    public static boolean shouldEncodeWith(Encoder encoderToApply, EncodingState currentEncodingState)

  Checks if encoder should be applied to a input with given encoding state
  Parameters:
    `encoderToApply` - the encoder to apply
    `currentEncodingState` - the current encoding state
  Returns:
    true, if should encode

Groovy Documentation